# Uses of Class
javax.management.MBeanInfo

Packages that use MBeanInfo
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of MBeanInfo in javax.management

Methods in javax.management that return MBeanInfo
Modifier and Type
Method
Description
`protected MBeanInfo`
StandardMBean.`getCachedMBeanInfo()`
Customization hook: Return the MBeanInfo cached for this object.
`MBeanInfo`
DynamicMBean.`getMBeanInfo()`
Provides the exposed attributes and actions of the Dynamic MBean using an MBeanInfo object.
`MBeanInfo`
MBeanServer.`getMBeanInfo(ObjectName name)`
`MBeanInfo`
MBeanServerConnection.`getMBeanInfo(ObjectName name)`
This method discovers the attributes and operations that an MBean exposes for management.
`MBeanInfo`
StandardMBean.`getMBeanInfo()`
Get the `MBeanInfo` for this MBean.
Methods in javax.management with parameters of type MBeanInfo
Modifier and Type
Method
Description
`protected void`
StandardMBean.`cacheMBeanInfo(MBeanInfo info)`
Customization hook: cache the MBeanInfo built for this object.
`protected String`
StandardMBean.`getClassName(MBeanInfo info)`
Customization hook: Get the className that will be used in the MBeanInfo returned by this MBean.
`protected String`
StandardMBean.`getDescription(MBeanInfo info)`
Customization hook: Get the description that will be used in the MBeanInfo returned by this MBean.

## Uses of MBeanInfo in javax.management.modelmbean

Subclasses of MBeanInfo in javax.management.modelmbean
Modifier and Type
Class
Description
`class`
`ModelMBeanInfoSupport`
This class represents the meta data for ModelMBeans.
Methods in javax.management.modelmbean that return MBeanInfo
Modifier and Type
Method
Description
`MBeanInfo`
RequiredModelMBean.`getMBeanInfo()`
Returns the attributes, operations, constructors and notifications that this RequiredModelMBean exposes for management.

## Uses of MBeanInfo in javax.management.openmbean

Subclasses of MBeanInfo in javax.management.openmbean
Modifier and Type
Class
Description
`class`
`OpenMBeanInfoSupport`
The `OpenMBeanInfoSupport` class describes the management information of an open MBean: it is a subclass of `MBeanInfo`, and it implements the `OpenMBeanInfo` interface.

## Uses of MBeanInfo in javax.management.remote.rmi

Methods in javax.management.remote.rmi that return MBeanInfo
Modifier and Type
Method
Description
`MBeanInfo`
RMIConnection.`getMBeanInfo(ObjectName name, Subject delegationSubject)`
Handles the method `MBeanServerConnection.getMBeanInfo(ObjectName)`.
`MBeanInfo`
RMIConnectionImpl_Stub.`getMBeanInfo(ObjectName $param_ObjectName_1, Subject $param_Subject_2)`
`MBeanInfo`
RMIConnectionImpl.`getMBeanInfo(ObjectName name, Subject delegationSubject)`